.btn-group {

   &.btn-group-lg {
      .btn {
         @extend .btn-lg;
      }
   }

   &.btn-group-sm {
      .btn {
         @extend .btn-sm;
      }
   }

   @if $env=='elite' {
      &.btn-group-xs {
         .btn {
            @extend .btn-xs;
         }
      }
   }

   .btn,
   button {

      &:first-child:not(:last-child) {
         @if $env=='elite' {
            @extend .mr-0;
            @extend .rad-tr-0;
            @extend .rad-br-0;
         }

         @else {
            margin-right: 0;
            border-top-right-radius: 0;
            border-bottom-right-radius: 0;
         }
      }

      &:last-child:not(:first-child) {
         @if $env=='elite' {
            @extend .ml-0;
            @extend .rad-tl-0;
            @extend .rad-bl-0;
         }

         @else {
            margin-left: 0;
            border-top-left-radius: 0;
            border-bottom-left-radius: 0;
         }
      }

      &:not(:first-child):not(:last-child) {
         @if $env=='elite' {
            @extend .m-0;
            @extend .rad-0;
         }

         @else {
            margin: 0;
            border-radius: 0;
         }
      }
   }
}

.btn-group,
.btn-group-vertical {
   position: relative;
   display: -ms-inline-flexbox;
   display: inline-flex;
   vertical-align: middle;
}

.btn-group-vertical {
   -webkit-box-orient: vertical;
   -webkit-box-direction: normal;
   -ms-flex-direction: column;
   flex-direction: column;
   -webkit-box-align: start;
   -ms-flex-align: start;
   align-items: flex-start;
   -webkit-box-pack: center;
   -ms-flex-pack: center;
   justify-content: center;

   .btn {
      width: 100%;
   }

   &.btn-group-lg {
      .btn {
         @extend .btn-lg;
      }
   }

   &.btn-group-sm {
      .btn {
         @extend .btn-sm;
      }
   }

   @if $env=='elite' {
      &.btn-group-xs {
         .btn {
            @extend .btn-xs;
         }
      }
   }

   .btn,
   button {

      &:first-child:not(:last-child) {
         @if $env=='elite' {
            @extend .rad-br-0;
            @extend .rad-bl-0;
         }

         @else {
            border-bottom-left-radius: 0;
            border-bottom-right-radius: 0;
         }
      }

      &:last-child:not(:first-child) {
         @if $env=='elite' {
            @extend .rad-tl-0;
            @extend .rad-tr-0;
         }

         @else {
            border-top-left-radius: 0;
            border-top-right-radius: 0;
         }
      }

      &:not(:first-child):not(:last-child) {
         @if $env=='elite' {
            @extend .rad-0;
         }

         @else {
            border-radius: 0;
         }
      }
   }
}